Skip to main content

Delete Lab Unit (v1)

Method & Path​

DELETE /api/v1/workspace/:workspaceId/labs/units/:labUnitId

Actual backend path: /v1/workspace/:workspaceId/labs/units/:labUnitId

Description​

Delete (soft delete) a lab unit from the workspace.

Authentication​

Required: JWT token in Authorization header

Required Permissions:

  • labs.manage

Headers​

HeaderTypeRequiredDescription
AuthorizationstringYesBearer token: Bearer <token>

Path Parameters​

ParameterTypeRequiredDescription
workspaceIdstringYesWorkspace identifier (MongoDB ObjectId)
labUnitIdstringYesLab unit identifier (MongoDB ObjectId)

Response 204 No Content​

No response body.

Common Errors​

401 Unauthorized: Missing or invalid authentication token

403 Forbidden: Insufficient permissions (labs.manage required)

404 Not Found: Lab unit or workspace not found

422 Validation Error: Invalid workspace ID or lab unit ID format